Docs-delete-by-query is not working with elasticsearch 1.2.0


(이지홍) #1

i did version up elasticsearch from 0.90.7 to 1.2.0
and i did regressionTest.

after that. doc-delete-by-query is not working.

http://www.elasticsearch.org/guide/en/elasticsearch/reference/current/docs-delete-by-query.html

e.g)
{
"query_string": {
"default_field": "playId",
"query": "9eaee1fb-c8ab-4ef3-9e37-5c3f68ba21e1 OR 6b6352c1-209e-4d0c-be85-c7048453ad03ORdbe9e6b3-895f-4bd4-8943-b50ddd8712 .. OR ... more than 200 docu"
}
}

  • request
    org.apache.http.wire[72] - http-outgoing-5 >> "DELETE /test_10.70.16.183_708246/temp/_query HTTP/1.1[\r][\n]"

  • response

{
"_indices":{
"test_10.70.16.183_708246":{
"_shards":{
"total":2,
"successful":0,
"failed":2,
"failures":[
{
"index":"test_10.70.16.183_708246",
"shard":0,
"reason":"RemoteTransportException[
[
10.99.198.150_21000
][
inet[
/10.99.198.150:21000
]
][
deleteByQuery/shard
]
]; nested: QueryParsingException[
[
test_10.70.16.183_708246
] request does not support [
simple_query_string
]
]; "
},
{
"index":"test_10.70.16.183_708246",
"shard":1,
"reason":"RemoteTransportException[
[
10.99.198.150_21001
][
inet[
/10.99.198.150:21001
]
][
deleteByQuery/shard
]
]; nested: QueryParsingException[
[
test_10.70.16.183_708246
] request does not support [
simple_query_string
]
]; "
}
]
}
}
}
}

what's worng?
plz somebody help me.


(system) #2